export interface Lang {
    name: string;
    ext: string;
    comments: Match[];
    strings: Match[];
    numbers: Match[];
    keywords: Match[];
    operators: Match[];
    identifiers: Match[];
    punctuations: Match[];
}
export type Match = string | {
    is_regex: false;
    value: string;
};
export declare enum TokenType {
    Comment = 0,
    String = 1,
    Number = 2,
    Keyword = 3,
    Operator = 4,
    Identifier = 5,
    Punctuation = 6,
    Other = 7
}
export interface Token {
    type: TokenType;
    value: string;
}
